summaryrefslogtreecommitdiffstats
path: root/jjb/nsh_sfc
diff options
context:
space:
mode:
authorqun wan <qun.wan@intel.com>2017-05-24 17:54:26 -0400
committerqun wan <qun.wan@intel.com>2017-05-30 14:57:31 -0400
commitd2ebc27e5424149e391dd74cbfb279a963f3fd32 (patch)
tree7a006e3b1512809b198cc5cc5e8ea36dce8357cc /jjb/nsh_sfc
parent48ebfbbe119d64e5795c6b56d3bdd71ba6de4c1c (diff)
nsh_sfc functional and performance jobs.
- functional cases are submitted on reivew status - performance cases will be submitted later Change-Id: I835ef5996507125ff45304bc77d6ca8925b5615e Signed-off-by: qun wan <qun.wan@intel.com>
Diffstat (limited to 'jjb/nsh_sfc')
-rw-r--r--jjb/nsh_sfc/include-raw-csit-nsh_sfc-functional-virl.sh15
-rw-r--r--jjb/nsh_sfc/include-raw-csit-nsh_sfc-perf-hw.sh15
-rw-r--r--jjb/nsh_sfc/nsh_sfc.yaml99
3 files changed, 129 insertions, 0 deletions
diff --git a/jjb/nsh_sfc/include-raw-csit-nsh_sfc-functional-virl.sh b/jjb/nsh_sfc/include-raw-csit-nsh_sfc-functional-virl.sh
new file mode 100644
index 000000000..1e87172dc
--- /dev/null
+++ b/jjb/nsh_sfc/include-raw-csit-nsh_sfc-functional-virl.sh
@@ -0,0 +1,15 @@
+#!/bin/bash
+
+# execute nsh_sfc bootstrap script if it exists
+if [ -e bootstrap-nsh_sfc-functional-virl.sh ]
+then
+ # make sure that bootstrap-nsh_sfc-functional-virl.sh is executable
+ chmod +x bootstrap-nsh_sfc-functional-virl.sh
+ # run the script
+ ./bootstrap-nsh_sfc-functional-virl.sh
+else
+ echo 'ERROR: No bootstrap-nsh_sfc-functional-virl.sh found'
+ exit 1
+fi
+
+# vim: ts=4 ts=4 sts=4 et :
diff --git a/jjb/nsh_sfc/include-raw-csit-nsh_sfc-perf-hw.sh b/jjb/nsh_sfc/include-raw-csit-nsh_sfc-perf-hw.sh
new file mode 100644
index 000000000..e79020460
--- /dev/null
+++ b/jjb/nsh_sfc/include-raw-csit-nsh_sfc-perf-hw.sh
@@ -0,0 +1,15 @@
+#!/bin/bash
+
+# execute nsh_sfc bootstrap script if it exists
+if [ ! -e bootstrap-verify-perf-nsh_sfc.sh ]
+then
+ echo 'ERROR: No bootstrap-verify-perf-nsh_sfc.sh found'
+ exit 1
+fi
+
+# make sure that bootstrap-verify-perf.sh is executable
+chmod +x bootstrap-verify-perf-nsh_sfc.sh
+# run the script
+./bootstrap-verify-perf-nsh_sfc.sh
+
+# vim: ts=4 ts=4 sts=4 et :
diff --git a/jjb/nsh_sfc/nsh_sfc.yaml b/jjb/nsh_sfc/nsh_sfc.yaml
index fb7f2ba43..afcb95216 100644
--- a/jjb/nsh_sfc/nsh_sfc.yaml
+++ b/jjb/nsh_sfc/nsh_sfc.yaml
@@ -7,6 +7,8 @@
- 'nsh_sfc-verify-image-{stream}-{os}'
- 'nsh_sfc-verify-docs-{stream}'
- 'nsh_sfc-merge-docs-{stream}'
+ - 'csit-nsh_sfc-verify-perf-{stream}'
+ - 'csit-nsh_sfc-verify-func-{stream}-{os}-virl'
project: 'nsh_sfc'
os:
@@ -455,4 +457,101 @@
- fdio-infra-shiplogs:
maven-version: 'mvn33-new'
+- job-template:
+ name: 'csit-nsh_sfc-verify-perf-{stream}'
+
+ project-type: freestyle
+ node: 'ubuntu1604-basebuild-4c-4g'
+ concurrent: true
+
+ logrotate:
+ daysToKeep: '{build-days-to-keep}'
+ numToKeep: '{build-num-to-keep}'
+ artifactDaysToKeep: '{build-artifact-days-to-keep}'
+ artifactNumToKeep: '{build-artifact-num-to-keep}'
+
+ parameters:
+ - project-parameter:
+ project: '{project}'
+ - gerrit-parameter:
+ branch: '{branch}'
+
+ scm:
+ - gerrit-trigger-scm:
+ credentials-id: 'jenkins-gerrit-credentials'
+ refspec: '$GERRIT_REFSPEC'
+ choosing-strategy: 'gerrit'
+
+ wrappers:
+ - fdio-infra-wrappers-non-activity-timeout:
+ build-timeout: 30
+
+ triggers:
+ - gerrit-trigger-manually-triggered:
+ name: '{project}'
+ branch: '{branch}'
+ comment-trigger-value: 'nsh_sfc perf weekly'
+
+ builders:
+ - shell:
+ !include-raw-escape: jjb/nsh_sfc/include-raw-csit-nsh_sfc-perf-hw.sh
+
+ publishers:
+ - archive-artifacts:
+ artifacts: 'report.html, log.html, output.xml, output_perf_data.xml'
+ latest-only: false
+
+ - robot-report:
+ output-path: ''
+
+ - fdio-infra-shiplogs:
+ maven-version: 'mvn33-new'
+
+- job-template:
+ name: 'csit-nsh_sfc-verify-func-{stream}-{os}-virl'
+ project-type: freestyle
+ node: '{os}-basebuild-4c-4g'
+ concurrent: true
+
+ logrotate:
+ daysToKeep: '{build-days-to-keep}'
+ numToKeep: '{build-num-to-keep}'
+ artifactDaysToKeep: '{build-artifact-days-to-keep}'
+ artifactNumToKeep: '{build-artifact-num-to-keep}'
+
+ parameters:
+ - project-parameter:
+ project: '{project}'
+ - gerrit-parameter:
+ branch: '{branch}'
+
+ scm:
+ - gerrit-trigger-scm:
+ credentials-id: 'jenkins-gerrit-credentials'
+ refspec: '$GERRIT_REFSPEC'
+ choosing-strategy: 'gerrit'
+
+ wrappers:
+ - fdio-infra-wrappers:
+ build-timeout: '{build-timeout}'
+
+ triggers:
+ - gerrit-trigger-patch-submitted:
+ name: '{project}'
+ branch: '{branch}'
+
+ builders:
+ - shell:
+ !include-raw-escape: include-raw-csit-nsh_sfc-functional-virl.sh
+
+ publishers:
+ - archive-artifacts:
+ artifacts: 'report.html, log.html, output.xml'
+ latest-only: false
+
+ - robot-report:
+ output-path: ''
+
+ - fdio-infra-shiplogs:
+ maven-version: 'mvn33-new'